using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Diagnostics;
using System.ServiceProcess;
using System.Text;
//using Servico.servidorSACI;
using Servico.servidorSACI;

namespace Servico
{
    partial class cServico : cBaseServico
    {
        private cMonitoramento cMonitoramento = new cMonitoramento();

        public cServico()
        {
            InitializeComponent();
        }

        protected override void OnStart(string[] args)
        {

            GerarLogFileSystem("Iniciando servico");
            timerMonitoramento.Enabled = true;
            timerMonitoramento.Interval = int.Parse(ObterParametro("IntervaloMonitoramento"));
            GerarLogFileSystem("Intervalo de Monitoramento: " + ObterParametro("IntervaloMonitoramento"));
            GerarLogFileSystem("Identificao do Coletor: " + ObterParametro("IdentificacaoColetor"));

            
            SACIWebService webService = new SACIWebService();
            GerarLogFileSystem("URL do WebService: " + webService.Url);
        }

        protected override void OnStop()
        {
            GerarLogFileSystem("Finalizando servico");
        }

        private void timerMonitoramento_Elapsed(object sender, System.Timers.ElapsedEventArgs e)
        {
            cMonitoramento.Monitorar();
        }

    }
}
