using System;
using System.Collections.Generic;
using System.Text;
using System.Data.SqlClient;
using SACI.Comum.DataSet;

namespace SACI.AcessoDados
{
    public class cTipoICAtributoItem : cBaseAcessoDados
    {

        public void Listar(dsTipoIC ds, int id)
        {
            selectCommand = new SqlCommand();
            //
            if (id != 0)
                selectCommand.Parameters.Add(new SqlParameter("@ID_TipoICAtributoItem", id));

            //
            base.DoSelect(ds, "p_ListarTipoICAtributoItem", ds.TipoICAtributoItem.TableName);
        }

        public void Listar(dsTipoIC ds, string clausulaWhere)
        {
            selectCommand = new SqlCommand();
            selectCommand.Parameters.Add(new SqlParameter("@ClausulaWhere", clausulaWhere));
            base.DoSelect(ds, "p_ListarTipoICAtributoItem", ds.TipoICAtributoItem.TableName);
        }

        public int Salvar(dsTipoIC.TipoICAtributoItemRow tipoICAtributoItem)
        {

            dsTipoIC.TipoICAtributoItemRow tipoICAtributoItemAnterior = RetornaValorAnterior(tipoICAtributoItem.ID_TipoICAtributoItem);

            selectCommand = new SqlCommand();
            //
            selectCommand.Parameters.Add(new SqlParameter("@ID", tipoICAtributoItem.ID_TipoICAtributoItem));
            //selectCommand.Parameters.Add(new SqlParameter("@CNPJ", tipoICAtributoItem.CNPJ));
            //selectCommand.Parameters.Add(new SqlParameter("@RazaoSocial", tipoICAtributoItem.RazaoSocial));
            //selectCommand.Parameters.Add(new SqlParameter("@Apelido", tipoICAtributoItem.Apelido));
            //selectCommand.Parameters.Add(new SqlParameter("@Endereco", tipoICAtributoItem.Endereco));
            //selectCommand.Parameters.Add(new SqlParameter("@Bairro", tipoICAtributoItem.Bairro));
            //selectCommand.Parameters.Add(new SqlParameter("@Cidade", tipoICAtributoItem.Cidade));
            //selectCommand.Parameters.Add(new SqlParameter("@UF", tipoICAtributoItem.UF));
            //selectCommand.Parameters.Add(new SqlParameter("@CEP", tipoICAtributoItem.CEP));
            //selectCommand.Parameters.Add(new SqlParameter("@complemento", tipoICAtributoItem.Complemento));
            //selectCommand.Parameters.Add(new SqlParameter("@Homepage", tipoICAtributoItem.HomePage));
            //selectCommand.Parameters.Add(new SqlParameter("@Email", tipoICAtributoItem.Email));
            //selectCommand.Parameters.Add(new SqlParameter("@Ativo", tipoICAtributoItem.Ativo));
            //

            dsTipoIC ds = new dsTipoIC();
            base.DoSelect(ds, "p_SalvarTipoICAtributoItem", "SalvarTipoICAtributoItem");

            base.GeraTrilhaAuditoria(tipoICAtributoItem.ID_TipoICAtributoItem, tipoICAtributoItemAnterior, tipoICAtributoItem);

            return int.Parse(ds.SalvarTipoICAtributoItem[0].Retorno.ToString());
        }

        private dsTipoIC.TipoICAtributoItemRow RetornaValorAnterior(int ID_TipoICAtributoItem)
        {

            dsTipoIC ds = new dsTipoIC();

            dsTipoIC.TipoICAtributoItemRow tipoICAtributoItemAnterior;

            if (ID_TipoICAtributoItem == 0)
            {
                // Se  um registro novo, retorna uma linha em branco
                //                dsTipoIC.TipoICAtributoItemRow tipoICAtributoItemAnterior = ds.TipoICAtributoItem.NewTipoICAtributoItemRow();
                tipoICAtributoItemAnterior = ds.TipoICAtributoItem.NewTipoICAtributoItemRow();
            }
            else
            {
                // se existe um ID, pesquisa no banco de dados
                Listar(ds, ID_TipoICAtributoItem);
                //                dsTipoIC.TipoICAtributoItemRow tipoICAtributoItemAnterior = ds.TipoICAtributoItem[0];
                tipoICAtributoItemAnterior = ds.TipoICAtributoItem[0];
            }

            return tipoICAtributoItemAnterior;

        }

        public void Excluir(dsTipoIC.TipoICAtributoItemRow tipoICAtributoItem)
        {

            selectCommand = new SqlCommand();
            selectCommand.Parameters.Add(new SqlParameter("@ID", tipoICAtributoItem.ID_TipoICAtributoItem));

            dsFilial ds = new dsFilial();
            base.DoSelect(ds, "p_ExcluirTipoICAtributoItem", "ExcluirTipoICAtributoItem");

        }



    }
}

