using System;
using System.Collections.Generic;
using System.Text;
using System.Data;
using FluorineFx;
using SACI.Comum.DataSet;

namespace SACI.Negocio
{
    [RemotingService]
    public class cNodo : cBaseNegocio
    {
        private SACI.AcessoDados.cNodo oAcessoDados = new SACI.AcessoDados.cNodo();
        private dsNodo ds = new dsNodo();

        public String RetornaTeste()
        {
            oAcessoDados.Listar(ds,0);
            return ds.GetXml();

            //return "Estive no C# (cNodo) e lembrei de vc!";
        }

        public String Listar(int id)
        {
            oAcessoDados.Listar(ds, id);
            return ds.GetXml();
        }
/*
        public String Listar(dsNodo ds, string clausulaWhere)
        {
            oAcessoDados.Listar (ds, clausulaWhere);
            return ds.GetXml();
        }
*/
        public String RetornarModelo()
        {
            return base.RetornarEstruturaDS(ds.Nodo);
        }


        public String Salvar(String dados)
        {
            String retorno = "";

            try
            {
                dsNodo.NodoRow NodoRow;
                NodoRow = RetornarDataRow(ds, dados) as dsNodo.NodoRow ;

                oAcessoDados.Salvar(NodoRow);
            }
            catch (Exception ex)
            {
                retorno = ex.ToString();
            }
            
            return retorno;
        }

        public String Excluir(String dados)
        {
            String retorno = "";

            try
            {
                dsNodo.NodoRow NodoRow;
                NodoRow = RetornarDataRow(ds, dados) as dsNodo.NodoRow;

                oAcessoDados.Excluir(NodoRow);
            }
            catch (Exception ex)
            {
                retorno = ex.ToString();
            }

            return retorno;
        }

    
    }
}
