using System;
using System.Collections.Generic;
using System.Text;
using System.Data;
using FluorineFx;
using SACI.Comum.DataSet;

namespace SACI.Negocio
{
    [RemotingService]
    public class cOID : cBaseNegocio
    {
        private SACI.AcessoDados.cOID cAcessoDados = new SACI.AcessoDados.cOID();
        private dsMonitoramento ds = new dsMonitoramento();

        public String Listar(int id)
        {
            cAcessoDados.Listar(ds, id);
            return ds.GetXml();
        }
        /*
                public String Listar(dsMonitoramento ds, string clausulaWhere)
                {
                    oAcessoDados.Listar (ds, clausulaWhere);
                    return ds.GetXml();
                }
        */
        public String RetornarModelo()
        {
            return base.RetornarEstruturaDS(ds.OID);
        }


        public String Salvar(String dados)
        {
            String retorno = "";

            try
            {
                dsMonitoramento.OIDRow OIDRow;
                OIDRow = RetornarDataRow(ds, dados) as dsMonitoramento.OIDRow;

                cAcessoDados.Salvar(OIDRow);
            }
            catch (Exception ex)
            {
                retorno = ex.ToString();
            }

            return retorno;
        }

        public String Excluir(String dados)
        {
            String retorno = "";

            try
            {
                dsMonitoramento.OIDRow OIDRow;
                OIDRow = RetornarDataRow(ds, dados) as dsMonitoramento.OIDRow;

                cAcessoDados.Excluir(OIDRow);
            }
            catch (Exception ex)
            {
                retorno = ex.ToString();
            }

            return retorno;
        }


    }

}
