using System;
using System.Collections.Generic;
using System.Text;
using System.Data;
using FluorineFx;
using SACI.Comum.DataSet;

namespace SACI.Negocio
{

    [RemotingService]
    public class cRelatorio : cBaseNegocio
    {
        private SACI.AcessoDados.cRelatorio cAcessoDados = new SACI.AcessoDados.cRelatorio();
        private dsRelatorio ds = new dsRelatorio();

        public String Listar(int id)
        {
            cAcessoDados.Listar(ds, id);
            return ds.GetXml();
        }
        /*
                public String Listar(dsRelatorio ds, string clausulaWhere)
                {
                    oAcessoDados.Listar (ds, clausulaWhere);
                    return ds.GetXml();
                }
        */
        public String RetornarModelo()
        {
            return base.RetornarEstruturaDS(ds.Relatorio);
        }


        public String Salvar(String dados)
        {
            String retorno = "";

            try
            {
                dsRelatorio.RelatorioRow RelatorioRow;
                RelatorioRow = RetornarDataRow(ds, dados) as dsRelatorio.RelatorioRow;

                cAcessoDados.Salvar(RelatorioRow);
            }
            catch (Exception ex)
            {
                retorno = ex.ToString();
            }

            return retorno;
        }

        public String Excluir(String dados)
        {
            String retorno = "";

            try
            {
                dsRelatorio.RelatorioRow RelatorioRow;
                RelatorioRow = RetornarDataRow(ds, dados) as dsRelatorio.RelatorioRow;

                cAcessoDados.Excluir(RelatorioRow);
            }
            catch (Exception ex)
            {
                retorno = ex.ToString();
            }

            return retorno;
        }


    }
}