using System;
using System.Collections.Generic;
using System.Text;
using System.Data;
using SNMPDll;
using Snmp;
using FluorineFx;
using SACI.Comum.DataSet;

namespace SACI.Negocio
{
    [RemotingService]
    public class cSNMP : cBaseNegocio
    {

        public String GetValueSnmp(String IP, String OID)
        {

            String retorno = "";

            try
            {
                Mib myMib = new Mib();
                // Ler as Mibs do windows/system32
                myMib.loadDirectoryMib(Environment.GetFolderPath(Environment.SpecialFolder.System));

                SNMPAgent myAgent = new SNMPAgent(IP, "public", "public");

                SNMPObject myRequest = new SNMPObject(OID, myMib);


                //RFC1157.Mgmt mib = new RFC1157.Mgmt();
                //Snmp.ManagerSession sess = new Snmp.ManagerSession("localhost", "public");
                //Snmp.ManagerItem mi = new Snmp.ManagerItem(sess, OID );
                //retorno = mi.Value.ToString();

                //retorno = myRequest.getDescription();

                //System.Diagnostics.Trace.WriteLine(myRequest.getValue(myAgent).ToString());

                //foreach (DictionaryEntry Item in myRequest.getValue(myAgent))
                //{
                //    ListItem newListItem = new ListItem();
                //    newListItem.Text = Item.Value.ToString();
                //    newListItem.Value = Item.Key.ToString();
                //    myDropDownList.Items.Add(newListItem);
                //}

                System.Diagnostics.Trace.WriteLine("I am looking for the value : " + myRequest.getFullName());
                System.Diagnostics.Trace.WriteLine("My value is : " + myRequest.getSimpleValue(myAgent));
                System.Diagnostics.Trace.WriteLine("The type of my value is : " + myRequest.getType());
                System.Diagnostics.Trace.WriteLine("The description of my value is : " + myRequest.getDescription());


                retorno = "IP do cliente: \n" + IP + "\n \n";
                retorno = retorno + "OID: \n" + OID + "\n \n";
                retorno = retorno + "Descrio do OID: \n" + myRequest.getFullName() + "\n \n";
                retorno = retorno + "Descrio do OID: \n " + myRequest.getDescription() + "\n \n";
                retorno = retorno + "Valor: \n" + myRequest.getSimpleValue(myAgent) + "\n";
            }
            catch (Exception ex)
            {
                retorno = "OID: \n" + OID + "\n \n";
                retorno = retorno + "Ocorreu um erro durante a requisio das informaes: \n" + ex.ToString();
            }

            return retorno;

        }



    }
}
