using System;
using System.Collections.Generic;
using System.Text;
using System.Data;
using FluorineFx;
using SACI.Comum.DataSet;

namespace SACI.Negocio
{
    [RemotingService]
    public class cUsuario : cBaseNegocio
    {
        private SACI.AcessoDados.cUsuario cAcessoDados = new SACI.AcessoDados.cUsuario();
        private dsUsuario ds = new dsUsuario();
        private cDepartamento cDepartamento;

        public String Listar(int id)
        {
            cAcessoDados.Listar(ds, id);
            return ds.GetXml();
        }

        public String RetornarModelo()
        {
            return base.RetornarEstruturaDS(ds.Usuario);

        }

        public String Salvar(String dados)
        {
            String retorno = "";

            //return dados;

            try
            {
                dsUsuario.UsuarioRow usuarioRow;
                usuarioRow = RetornarDataRow(ds, dados) as dsUsuario.UsuarioRow;

                cAcessoDados.Salvar(usuarioRow);
            }
            catch (Exception ex)
            {
                retorno = ex.ToString();
            }

            return retorno;
        }

        public String Excluir(String dados)
        {
            String retorno = "";

            try
            {
                dsUsuario.UsuarioRow usuarioRow;
                usuarioRow = RetornarDataRow(ds, dados) as dsUsuario.UsuarioRow;

                cAcessoDados.Excluir(usuarioRow);
            }
            catch (Exception ex)
            {
                retorno = ex.ToString();
            }

            return retorno;
        }
    
    
    }
}
