IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'p_ListarDadosAMonitorar')
	BEGIN
		DROP  Procedure  p_ListarDadosAMonitorar
	END

GO

CREATE Procedure dbo.p_ListarDadosAMonitorar
	(
		@coletor varchar(100)
	)
AS

execute('SELECT 
	ID_ConfiguracaoMonitoramento
	,C.ID_ICAtributo
	,ColetorResponsavel
	,IP
	,OID + sequenciaOID as OID
FROM 
	ConfiguracaoMonitoramento C
	LEFT JOIN OID O ON O.ID_OID = C.ID_OID
	LEFT JOIN ICAtributo A ON A.ID_ICAtributo = C.ID_ICAtributo
	LEFT JOIN IC I ON I.ID_IC = A.ID_IC
WHERE 
	C.Ativo = 1
	AND
	I.Status = 1
	AND
	I.IP <> '''' 
	AND
	DateDiff(n,C.DataProximaVerificacao,GetDate()) >= 0
	AND 
	coletorResponsavel = ''' + @coletor + '''')
  
  
  
  
  