IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'p_SalvarDepartamento')
	BEGIN
		DROP  Procedure  p_SalvarDepartamento
	END

GO

CREATE Procedure dbo.p_SalvarDepartamento
(
	@ID int = 0
	, @Departamento varchar(50)
	, @ID_Filial int 
)
AS
	IF(@ID=0) -- Incluso
		BEGIN
			INSERT INTO 
				Departamento
				(
					Departamento
					, ID_Filial
				)
			VALUES
				(
					@Departamento 
					, @ID_Filial 
				)
		
		SELECT @@Identity AS Retorno
		
		END
	ELSE -- Alterao
		BEGIN
			UPDATE
				Departamento
			SET
				Departamento = @Departamento
				, ID_Filial = @ID_Filial
			WHERE
				ID_Departamento=@ID
				
			SELECT @ID AS Retorno
		END
		
	  