IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'p_SalvarEmpresa')
	BEGIN
		DROP  Procedure  p_SalvarEmpresa
	END

GO

CREATE Procedure dbo.p_SalvarEmpresa
(
	@ID int = 0
	, @CNPJ varchar(20)
	, @RazaoSocial varchar(255)
	, @Apelido varchar(50)
	, @Endereco varchar(255)
	, @Bairro varchar(100)
	, @Cidade varchar(100)
	, @UF varchar(2)
	, @CEP varchar(20)
	, @complemento varchar(255)
	, @Homepage varchar(100)
	, @Email varchar(100)
	, @Ativo int
)
AS
	IF(@ID=0) -- Incluso
		BEGIN
			INSERT INTO 
				Empresa
				(
					CNPJ
					, RazaoSocial
					, Apelido
					, Endereco
					, Bairro
					, Cidade
					, UF
					, CEP
					, Complemento
					, HomePage
					, email
					, Ativo
				)
			VALUES
				(
					@CNPJ 
					, @RazaoSocial 
					, @Apelido 
					, @Endereco
					, @Bairro 
					, @Cidade 
					, @UF 
					, @CEP
					, @complemento
					, @Homepage
					, @Email
					, @Ativo
				)
		
		SELECT @@Identity AS Retorno
		
		END
	ELSE -- Alterao
		BEGIN
			UPDATE
				Empresa
			SET
				CNPJ = @CNPJ
				, RazaoSocial = @RazaoSocial
				, Apelido = @Apelido
				, Endereco = @Endereco
				, Bairro = @Bairro
				, Cidade = @Cidade
				, UF = @UF
				, CEP = @CEP
				, Complemento = @Complemento
				, HomePage = @HomePage
				, email = @email
				, Ativo = @Ativo
			WHERE
				ID_Empresa=@ID
				
			SELECT @ID AS Retorno
		END
		
	 