IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'p_SalvarLog')
	BEGIN
		DROP  Procedure  p_SalvarLog
	END

GO

CREATE Procedure dbo.p_SalvarLog
(
	 @ID_Controle int = 0
	, @ID_Campo int = 0
	, @ID_Usuario int = 0
	, @IDAlterado int = 0
	, @DataHoraAlteracao datetime
	, @ValorAnterior varchar(1000)
	, @ValorNovo varchar(1000)
	, @TipoLog int = 0
)

AS
	BEGIN
		INSERT INTO 
				TrilhaAuditoria
				(
					ID_Campo
					, ID_Usuario
					, IDAlterado
					, DataHoraAlteracao
					, ValorAnterior
					, ValorNovo
					, TipoLog
				)
			VALUES
				(
					@ID_Campo
					, @ID_Usuario
					, @IDAlterado
					, @DataHoraAlteracao
					, @ValorAnterior
					, @ValorNovo
					, @TipoLog
				)
		
		SELECT @@Identity AS Retorno
		
	END
	
	  