 IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'p_SalvarTipoIC')
	BEGIN
		DROP  Procedure  p_SalvarTipoIC
	END

GO

CREATE Procedure dbo.p_SalvarTipoIC
(
	@ID int = 0
	, @Descricao varchar(50)
	, @Observacoes varchar(250)
)
AS
	IF(@ID=0) -- Incluso
		BEGIN
			INSERT INTO 
				TipoIC
				(
					Descricao
					, Observacoes
				)
			VALUES
				(
					@Descricao 
					, @Observacoes 
				)
		
		SELECT @@Identity AS Retorno
		
		END
	ELSE -- Alterao
		BEGIN
			UPDATE
				TipoIC
			SET
				Descricao = @Descricao
				, Observacoes = @Observacoes
			WHERE
				ID_TipoIC=@ID
				
			SELECT @ID AS Retorno
		END
		
	 