using System;
using System.Data;
using System.Web;
using System.Collections;
using System.Web.Services;
using System.Web.Services.Protocols;
using System.ComponentModel;
using SACI.Comum.DataSet;
using SACI.Negocio;

namespace Gateway
{
    /// <summary>
    /// Summary description for SACIService
    /// </summary>
    [WebService(Namespace = "http://tempuri.org/")]
    [WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
    [ToolboxItem(false)]
    public class SACIWebService : System.Web.Services.WebService
    {
        private cMonitoramento cMonitoramento = new cMonitoramento();

        [WebMethod]
        public dsMonitoramento RetornarICsParaMonitoramento(String chave, String coletor) 
        {
            //S retorna os dados caso a chave de acesso esteja correta
            if (chave == System.Configuration.ConfigurationManager.AppSettings["chaveColetor"])
            {
                return cMonitoramento.RetornarDadosAMonitorar(coletor); 
            }
            else 
            {
                return null;
            }
        }

        [WebMethod]
        public void ObterResultadoMonitoramento(String chave, dsMonitoramento dsMonitoramento)
        {
            //S salva os dados caso a chave de acesso esteja correta
            if (chave == System.Configuration.ConfigurationManager.AppSettings["chaveColetor"])
            {
                cMonitoramento.SalvarDadosMonitorados(dsMonitoramento);
            }
        }



        [WebMethod]
        public string HelloWorld()
        {
            return "Hello World";
        }



    }
}
