IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'p_SalvarNodo')
	BEGIN
		DROP  Procedure  p_SalvarNodo
	END

GO

CREATE Procedure dbo.p_SalvarNodo
(
	@ID int = 0
	, @Descricao varchar(100)
	, @IP varchar (16)
	, @Localizacao varchar (50)
	, @Status int
	, @ID_IC int 
)
AS
	IF(@ID=0) -- Incluso
		BEGIN
			INSERT INTO 
				Nodo
				(
					Descricao
					, IP
					, Localizacao
					, Status
					, ID_IC
				)
			VALUES
				(
					@Descricao
					, @IP
					, @Localizacao
					, @Status
					, @ID_IC
				)
		
		SELECT @@Identity AS Retorno
		
		END
	ELSE -- Alterao
		BEGIN
			UPDATE
				Nodo
			SET
				Descricao		= @Descricao
				, IP			= @IP
				, Localizacao	= @Localizacao
				, Status		= @Status
				, ID_IC			= @ID_IC
			WHERE
				ID_Nodo=@ID
				
			SELECT @ID AS Retorno
		END
		
	  