  IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'p_SalvarTipoICAtributo')
	BEGIN
		DROP  Procedure  p_SalvarTipoICAtributo
	END

GO

CREATE Procedure dbo.p_SalvarTipoICAtributo
(
	@ID int = 0
	, @Descricao varchar(50)
	, @Observacoes varchar(250)
	, @Unidade int = 0
	, @ID_TipoIC int = 0
)
AS
	IF(@ID=0) -- Incluso
		BEGIN
			INSERT INTO 
				TipoICAtributo
				(
					Descricao
					, Observacoes
					, Unidade
					, ID_TipoIC
				)
			VALUES
				(
					@Descricao 
					, @Observacoes 
					, @Unidade
					, @ID_TipoIC
				)
		
		SELECT @@Identity AS Retorno
		
		END
	ELSE -- Alterao
		BEGIN
			UPDATE
				TipoICAtributo
			SET
				Descricao = @Descricao
				, Observacoes = @Observacoes
				, Unidade = @Unidade
				, ID_TipoIC = @ID_TipoIC
			WHERE
				ID_TipoICAtributo=@ID
				
			SELECT @ID AS Retorno
		END
		
	 