IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'p_SalvarTransacao')
	BEGIN
		DROP  Procedure  p_SalvarTransacao
	END

GO

CREATE Procedure dbo.p_SalvarTransacao
(
	@ID int = 0
	, @Titulo varchar(100)
	, @Descricao varchar(250)
	, @Status bit
)
AS
	IF(@ID=0) -- Incluso
		BEGIN
			INSERT INTO 
				Transacao
				(
					Titulo
					, Descricao
					, Status
				)
			VALUES
				(
					@Titulo 
					, @Descricao 
					, @Status 
				)
		
		SELECT @@Identity AS Retorno
		
		END
	ELSE -- Alterao
		BEGIN
			UPDATE
				Transacao
			SET
				Titulo = @Titulo
				,Descricao = @Descricao
				,Status = @Status
			WHERE
				ID_Transacao=@ID
				
			SELECT @ID AS Retorno
		END
		
	   